/** 
 * 
 * ============登录=======
 * 
 * */


  init()
  // ==========初始化==========
  function init() {
    var mySwiper = new Swiper('.swiper-container', {
      autoplay: {
        stopOnLastSide: true
      },
      loop: true, // 循环模式选项
      // 如果需要分页器
      pagination: {
        el: '.swiper-pagination',
      },
    })

    cutRegsterBar();
    isLoginStatus();
    login();
    logout();
  }
  // ==========登录==========
  var login_flag = true;

  function login() {
    if (login_flag) {
      login_flag = false;
      if(!phoneNumber($('#loginbox .unlogin .user input').val())){
          $('#loginbox .unlogin .user input').focus();
          // $('#loginbox .unlogin .user input').css('border','1px solid red');
          $('#loginbox .user .--err').html('手机号格式错误！').show().delay(2000).fadeOut()
          setTimeout(function(){login_flag = true},1500)
      }else if(!passwordNumber($('#loginbox .unlogin .password input').val())){
          $('#loginbox .unlogin .password input').focus();
          // $('#loginbox .unlogin .password input').css('border','1px solid red');
          $('#loginbox .password .--err').html('密码格式有误！').show().delay(2000).fadeOut()
          setTimeout(function(){login_flag = true},1500)
      } else {
          pcLogin();
      }
    }
  }
  $("#loginbox .password input").keyup(function(e){
    var eCode = e.keyCode ? e.keyCode : e.which ? e.which : e.charCode;
    if (eCode == 13){
      login()
    }
  });
  // ==========切换广告主 媒体主==========
  function cutRegsterBar(boo) {
    var dom = "#loginbox .title .pointer";

    $(dom).bind('click', function (e, i) {
      $(dom).removeClass('active');
      $(this).addClass('active');
      $(this).parent().attr('data-type', $(this).attr('data-type')); //设置 类型
    })
  }

  // ==========判断是否登录 状态==========
  function isLoginStatus() {
    // 1 ad； 2 mt
    if(getUrlRequest('logout')==='1'){
      localStorage.removeItem('userType');
      localStorage.removeItem('nick');
    }
    var userType = localStorage.userType || null;
    if (userType) {
      $('.unlogin').hide();
      $('.edlogin').show();
      $('.header-advert .login-my').show();
      var dom = "#loginbox .title .pointer";
      var nick = localStorage.getItem('nick')
      // 清除点击 切换
      $(dom).each(function () {
        $(this).removeClass('active');
        $(this).unbind("click")
      })
      userType === '1' && $($(dom)[0]).addClass('active');
      userType === '2' && $($(dom)[1]).addClass('active');
      $('.user-nick').html(nick)
      if(userType === '1'){
        $('.login_href').html('进入OEM平台')
        $('.login_href').bind('click',function(){
          $(this).html('进入OEM平台中...').css({'background-color':'rgba(47, 117, 236, .6)'}).unbind('click');
          window.location.href = "/advert/index";
        })
      }
      
    } else {
      $('.header-advert .login-my').hide();	
      $('.unlogin').show();
      $('.edlogin').hide();
    }
  }
  // ==========登出==========
  var logout_flag = true;

  function logout() {
    $('#loginbox .logoutBtn').bind('click', function () {
      if (logout_flag) {
        localStorage.removeItem('userType')
        localStorage.removeItem('nick')
        var params = {};
        params.theUrl = allAPI.user.logout;
        doGetAjax(params,function(){
          isLoginStatus()
          $('#loginbox .unlogin .user input').val('')
          $('#loginbox .unlogin .password input').val('')
          logout_flag = true;
        })
      }
    })
  }



